import { Expression, Reference, BinaryExpression, Type, FunctionType } from "../ast";
export declare function normalizeExpressions(node: Expression): Expression | BinaryExpression;
export declare function simplifyType(type: Type | Expression | null): Expression | Type | Reference | FunctionType | null;
export declare function and(left: Expression | null, right: Expression | null): Expression | null;
export declare function or(left: Expression | null, right: Expression | null): Expression | null;
export default function combineTypeExpression(left: Expression | null, right: Expression | null, operator: string): Expression | null;
